'''
Напишіть программу "Касир в кінотеатрі", яка буде виконувати наступне:

Попросіть користувача ввести свій вік (можно використати константу або input()).
- якщо користувачу менше 7 - вивести повідомлення"Де твої батьки?"
- якщо користувачу менше 16 - вивести повідомлення "Це фільм для дорослих!"
- якщо користувачу більше 65 - вивести повідомлення "Покажіть пенсійне посвідчення!"
- якщо вік користувача містить цифру 7 - вивести повідомлення "Вам сьогодні пощастить!"
- у будь-якому іншому випадку - вивести повідомлення "А білетів вже немає!"
'''

while True:
    try:
        user_age = int(input('Скільки вам років? '))
        if user_age < 0 or user_age > 100:
            print('Гарний жарт!')
            continue
        break
    except ValueError as e:
        print("Будь-ласка, введіть ваш вік.")

if user_age < 7:
    print('Де твої батьки?')
if user_age < 16:
    print('Це фільм для дорослих!')
if user_age > 65:
    print('Покажіть пенсійне посвідчення!')
if '7' in str(user_age):
   print('Вам сьогодні пощастить!')
else:
    print('А білетів вже немає!')